ProjectReportsPlugin (Gradle API 8.11)

Package org.gradle.api.plugins

## Class ProjectReportsPlugin

- java.lang.Object
- - org.gradle.api.plugins.ProjectReportsPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public abstract class ProjectReportsPlugin
      extends java.lang.Object
      implements Plugin<Project>

  A `Plugin` which adds some project visualization report tasks to a project.

  See Also:
    Project Report plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEPENDENCY_REPORT` |
    `static java.lang.String` | `HTML_DEPENDENCY_REPORT` |
    `static java.lang.String` | `PROJECT_REPORT` |
    `static java.lang.String` | `PROPERTY_REPORT` |
    `static java.lang.String` | `TASK_REPORT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectReportsPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TASK_REPORT

          public static final java.lang.String TASK_REPORT

      See Also:
        Constant Field Values

    - #### PROPERTY_REPORT

          public static final java.lang.String PROPERTY_REPORT

      See Also:
        Constant Field Values

    - #### DEPENDENCY_REPORT

          public static final java.lang.String DEPENDENCY_REPORT

      See Also:
        Constant Field Values

    - #### HTML_DEPENDENCY_REPORT

          public static final java.lang.String HTML_DEPENDENCY_REPORT

      See Also:
        Constant Field Values

    - #### PROJECT_REPORT

          public static final java.lang.String PROJECT_REPORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProjectReportsPlugin

          public ProjectReportsPlugin()

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object